petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSundialsGetIterations

Gets the number of nonlinear and linear iterations used so far by Sundials.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSundialsGetIterations(TS ts,int *nonlin,int *lin)

Not Collective Many br

### Input parameters

ts -the time-step context Many br

### Output Parameters

| nonlin | - number of nonlinear iterations Many br
| lin | - number of linear iterations Many br

Many br

### Notes

These return the number since the creation of the TS object Many br

### Keywords

non-linear iterations, linear iterations

### See Also

TSSundialsSetType(), TSSundialsSetMaxl(),
TSSundialsSetLinearTolerance(), TSSundialsSetGramSchmidtType(), TSSundialsSetTolerance(), Many brTSSundialsGetIterations(), TSSundialsSetType(), Many brTSSundialsSetLinearTolerance(), TSSundialsGetPC(), TSSetExactFinalTime() Many br

Level:advanced
Location:src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages